Subject: Install v4r1

From: [email-masked] (Ellen Rose)
Date: Wed, 23 Jun 93 13:41:50 -0700

I am trying to upgrade from postgres v4r0r1 to v4r1 and am having trouble when
I run :  make -f Makefile

I have enclosed my Makefile.global file where I set up the port as sparc
since I'm on a Sun Sparc using SUN O/S 4.1.2.  I put the TOOLSBINDIR and
TOOLSLIBDIR paths in my path in my .cshrc file.  I added PGDATA as
/home/postgres/data since I have postgres in /home/postgres which is
linked to /usr/postgres.

******** Makefile.global follows
#
# $Header: /usr/local/devel/postgres/src/RCS/Makefile.global,v 1.15 1993/03/11 08:04:02 mao Exp $
#
# == CONFIGURATION SECTION ==
#
#
#TOOLSBINDIR= /usr/local/bin
#TOOLSLIBDIR= /usr/local/lib
TOOLSBINDIR= /home/postgres/tools/bin
TOOLSLIBDIR= /home/postgres/tools/lib

# Following are settings pertaining to the postgres build
# and installation.  The most important one is obviously
# the name of the port.

#  The name of the port.  Valid choices are:
#	ultrix4	-	ultrix 4.?
#	sparc	-	SUN sparc
#  or add your own - :)
#
#PORTNAME=	ultrix4
PORTNAME=	sparc

#
# For convenience, POSTGRESDIR is where DATADIR, BINDIR, and LIBDIR 
# and other target destinations are rooted.  Of course, each of these is 
# changable separately.  This is usually "/usr/local/postgres" but may be 
# different for the postgres development team and sequoia users.
#
#POSTGRESDIR=	/usr/local/devel/postgres-4.1
POSTGRESDIR=	/home/postgres

#
# Where the database lives (changeable at run time by setting PGDATA
# in your environment)
#
DATADIR=	${POSTGRESDIR}/data

#
# Where the postgres executables live (changeable by just putting them
# somewhere else and putting that directory in your shell PATH)
#
BINDIR=		${POSTGRESDIR}/bin

#
# Where libpq.a gets installed.  You must put it where your loader will
# look for it if you wish to use the -lpq.a convention.  Otherwise you
# can just put the absolute pathname to the libraray at the end of your
# compile line.
LIBDIR=		${POSTGRESDIR}/lib

#
# Where the man pages get installed.
#
POSTMANDIR=	${POSTGRESDIR}/man

#
# Where the formatted documents get installed.
#
POSTDOCDIR=	${POSTGRESDIR}/doc

#
# Where the header files necessary to build frontend
# programs get installed.
#
HEADERDIR=	${POSTGRESDIR}/include

#
# If you plan to use Kerberos for authentication.
#
# Comment out KRBVERS if you do not use Kerberos.
# 	Set KRBVERS to "4" for Kerberos v4, "5" for Kerberos v5.
#	XXX Edit the default Kerberos variables below!
#KRBVERS=	5

# Comment out USE_DLD if you do not use the GNU DLD package for
# dynamic loading.
#USE_DLD=

#
# == END OF NORMAL CONFIGURATION SECTION ==
#

.if (${PORTNAME} != "sparc")
MACHINE!=	machine
.else
MACHINE=	sun
.endif
STRIP=

#
# FEATURES: 
# To disable a feature, comment out the definition
# (that is, prepend '#', don't set it to "0" or "no").
#

#
# Man pages don't live with sources this release (coming soon)
#
NOMAN=

#
# If this is set, then target "install" depends on "all", which
# makes "make install" clutzy since it makes two passes over the
# hierarchy, once to check "all", twice to do the install - but
# some people like this.
#
ALLINSTALL=

# comment out CDEBUG to turn off debugging and sanity-checking
#	XXX on MIPS, use -g3 if you want to compile with -O
CDEBUG=		-g

# comment out PROFILE to disable profiling
#	XXX define on MIPS if you want to be able to use pixie.
#	    note that this disables dynamic loading!
PROFILE=

#
# Globally pass debugging flags
#
.ifdef CDEBUG
CFLAGS= ${CDEBUG}
LDFLAGS= ${CDEBUG}
.else
CFLAGS= -O -DNO_ASSERT_CHECKING
.endif

#
# Globally pass profiling flags
#
.ifdef PROFILE
CFLAGS+= ${PROFILE}
LDFLAGS+= ${PROFILE}
.endif

#
# Globally pass authentication system file locations
#	these are used in the postmaster and all libpq applications.
#
#	XXX they are also included in the backend due to modularization 
#	    weirdness in libpq...sigh.
#
#	Adjust KRBINCS and KRBLIBS to reflect where you have Kerberos
#		include files and libraries installed.
#	PG_KRB_SRVNAM is the name under which POSTGRES is registered in
#		the Kerberos database (KDC).
#	PG_KRB_SRVTAB is the location of the server's keytab file.
#
.ifdef KRBVERS
KRBINCS= -I/usr/athena/include
KRBLIBS= -L/usr/athena/lib
KRBFLAGS+= ${KRBINCS} '-DPG_KRB_SRVNAM="postgres_dbms"'
.   if ${KRBVERS} == "4"
KRBFLAGS+= -DKRB4
KRBFLAGS+= '-DPG_KRB_SRVTAB="/etc/srvtab"'
KRBLIBS+= -lkrb -ldes
.   elif ${KRBVERS} == "5"
KRBFLAGS+= -DKRB5
KRBFLAGS+= '-DPG_KRB_SRVTAB="FILE:/krb5/srvtab.postgres"'
KRBLIBS+= -lkrb5 -lcrypto -lcom_err -lisode
.   endif
.endif

#
# POSTGRESLOGIN is the login name of the user who gets special
# privilige over the databases.  For now it must be "postgres",
#
POSTGRESLOGIN= postgres

#
# Globally pass PORTNAME
#
CFLAGS+= -DPORTNAME=${PORTNAME} -DPORTNAME_${PORTNAME}

#
# Globally define SEQUOIA for development at Berkeley and other
# Sequoia 2000 Project sites.
#
CFLAGS+= -DSEQUOIA

****************************************************

This is the script of doing make -f Makefile.boot:

_______
Script started on Wed Jun 23 11:48:12 1993
warning: could not update utmp entry

segev.lbl.gov% pwd
/home/postgres/src/tools/bmake

segev.lbl.gov% make -f Makefile.boot
make started.
cc -Dvoid="char *" -D_PATH_DEFSYSMK=\"`pwd`/mk-proto/sys.mk\" -D_PATH_DEFSYSPATH=\"`pwd`/mk-proto\" -D_BSD -I. -c arch.c buf.c compat.c cond.c dir.c hash.c job.c main.c make.c parse.c str.c strdup.c suff.c targ.c var.c strerror.c setenv.c
arch.c:
"arch.c", line 435: warning: illegal combination of pointer and integer, op =
"arch.c", line 607: warning: illegal combination of pointer and integer, op =
"arch.c", line 808: warning: illegal combination of pointer and integer, op =
"arch.c", line 809: warning: illegal combination of pointer and integer, op =
buf.c:
compat.c:
cond.c:
"cond.c", line 204: warning: illegal combination of pointer and integer, op ==
dir.c:
"dir.c", line 529: warning: illegal combination of pointer and integer, op =
"dir.c", line 533: warning: illegal combination of pointer and integer, op =
"dir.c", line 652: warning: illegal combination of pointer and integer, op =
"dir.c", line 813: warning: illegal combination of pointer and integer, op =
hash.c:
job.c:
"job.c", line 2397: warning: illegal combination of pointer and integer, op =
main.c:
make.c:
parse.c:
"parse.c", line 1277: warning: illegal combination of pointer and integer, op !=
"parse.c", line 1557: warning: illegal combination of pointer and integer, op =
str.c:
strdup.c:
suff.c:
"suff.c", line 1070: warning: illegal combination of pointer and integer, op =
"suff.c", line 1159: warning: illegal combination of pointer and integer, op !=
"suff.c", line 1505: warning: illegal combination of pointer and integer, op =
"suff.c", line 1506: warning: illegal combination of pointer and integer, op =
targ.c:
var.c:
"var.c", line 545: warning: illegal combination of pointer and integer, op =
"var.c", line 595: warning: illegal combination of pointer and integer, op =
"var.c", line 629: warning: illegal combination of pointer and integer, op =
"var.c", line 671: warning: illegal combination of pointer and integer, op =
"var.c", line 1259: warning: illegal combination of pointer and integer, op !=
strerror.c:
setenv.c:
"setenv.c", line 83: warning: illegal pointer combination
cd lst.lib; cc -I.. -c lstAppend.c lstAtEnd.c lstAtFront.c lstClose.c lstConcat.c lstDatum.c lstDeQueue.c lstDestroy.c lstDupl.c lstEnQueue.c lstFind.c lstFindFrom.c lstFirst.c lstForEach.c lstForEachFrom.c lstInit.c lstInsert.c lstIsAtEnd.c lstIsEmpty.c lstLast.c lstMember.c lstNext.c lstOpen.c lstRemove.c lstReplace.c lstSucc.c
lstAppend.c:
lstAtEnd.c:
lstAtFront.c:
lstClose.c:
lstConcat.c:
lstDatum.c:
lstDeQueue.c:
lstDestroy.c:
lstDupl.c:
lstEnQueue.c:
lstFind.c:
lstFindFrom.c:
lstFirst.c:
lstForEach.c:
lstForEachFrom.c:
lstInit.c:
lstInsert.c:
lstIsAtEnd.c:
lstIsEmpty.c:
lstLast.c:
lstMember.c:
lstNext.c:
lstOpen.c:
lstRemove.c:
lstReplace.c:
lstSucc.c:
cc -Dvoid="char *" -D_PATH_DEFSYSMK=\"`pwd`/mk-proto/sys.mk\" -D_PATH_DEFSYSPATH=\"`pwd`/mk-proto\" -D_BSD arch.o buf.o compat.o cond.o dir.o hash.o job.o main.o make.o parse.o str.o strdup.o suff.o targ.o var.o strerror.o setenv.o lst.lib/lstAppend.o lst..lib/lstAtEnd.o lst.lib/lstAtFront.o lst.lib/lstClose.o lst.lib/lstConcat.o lst.lib/lstDatum.o lst.lib/lstDeQueue.o lst.lib/lstDestroy.o lst.lib/lstDupl.o lst.lib/lstEnQueue.o lst.lib/lstFind.o lst.lib/lstFindFrom.o lst.lib/lstFirst.o lst.lib/lstForEach.o lst.lib/lstForEachFrom.o lst.lib/lstInit.o lst.lib/lstInsert.o lst.lib/lstIsAtEnd.o lst.lib/lstIsEmpty.o lst.lib/lstLast.o lst.lib/lstMember.o lst.lib/lstNext.o lst.lib/lstOpen.o lst.lib/lstRemove.o lst.lib/lstReplace.o lst.lib/lstSucc.o -o bootmake
rm -f arch.o buf.o compat.o cond.o dir.o hash.o job.o main.o make.o parse.o str.o strdup.o suff.o targ.o var.o strerror.o setenv.o lst.lib/lstAppend.o lst.lib/lstAtEnd.o lst.lib/lstAtFront.o lst.lib/lstClose.o lst.lib/lstConcat.o lst.lib/lstDatum.o lst.lib/lstDeQueue.o lst.lib/lstDestroy.o lst.lib/lstDupl.o lst.lib/lstEnQueue.o lst.lib/lstFind.o lst.lib/lstFindFrom.o lst.lib/lstFirst.o lst.lib/lstForEach.o lst.lib/lstForEachFrom.o lst.lib/lstInit.o lst.lib/lstInsert.o lst.lib/lstIsAtEnd.o lst.lib/lstIsEmpty.o lst.lib/lstLast.o lst.lib/lstMember.o lst.lib/lstNext.o lst.lib/lstOpen.o lst.lib/lstRemove.o lst.lib/lstReplace.o lst.lib/lstSucc.o
if test ! -d obj; then mkdir obj; fi || true
./bootmake all install
make: don't know how to make make. Stop
make: *** [XYZZY] Error 2

segev.lbl.gov% pwd
/home/postgres/src/tools/bmake

I have the following path in my .cshrc file:
#################################################################
set filec
set history=60
set path = ( /usr/bin \
	/usr/ucb  \
	/bin /etc  /usr/etc \
	/usr/local/lib	\
	/usr/dict \
   
	/usr/postgres /usr/postgres/bin \
   
	/usr/tools  \
   
	/usr/hosts \
   
	/usr/lib  \
   
	~ .)

segev.lbl.gov% printenv
TERM=vt100
HOME=/usr/postgres
SHELL=/bin/csh
USER=postgres
PATH=/vol/installed/GNU/bin:/usr/local/GNU/bin:/usr/CC:/usr/lang:/usr/localhost:/usr/local:/vol/packages/openwin3.0-contrib/bin:/home/cs/openwin3.0/bin:/home/cs/openwin3.0/demo:/usr/bin:/usr/ucb:/bin:/etc:/usr/etc:/usr/local/lib:/usr/local/bin:/usr/dict:/usr/postgres:/usr/postgres/bin:/usr/tools:/usr/hosts:/usr/lib:/usr/postgres:.:/usr/local/guide/bin:/usr/postgres/ELLEN/GEO/et2.2/bin
LOGNAME=postgres
PWD=/a/segev/home/postgres/src/tools/bmake
MODULESHOME=/usr/local/Modules
MODULEPATH=/usr/local/Modules/modulefiles
LOADEDMODULES=openwin-contrib/3.0:openwin/3.0:local:lang:CC:gnu:guide
FONTPATH=/home/cs/openwin3.0/lib/fonts:/vol/packages/openwin3.0-contrib/lib/fonts
LD_LIBRARY_PATH=/usr/local/lib:/usr/lib:/usr/local/openwin/lib
MANPATH=/vol/installed/GNU/man:/usr/local/GNU/man:/usr/CC/man:/usr/lang/man:/vol/packages/openwin3.0-contrib/man:/home/cs/openwin3.0/share/man:/usr/man:/usr/local/guide/share/man
OPENWINHOME=/home/cs/openwin3.0
HELPPATH=/home/cs/openwin3.0/lib/locale:/home/cs/openwin3.0/lib/help:/vol/packages/openwin3.0-contrib/lib/locale:/vol/packages/openwin3.0-contrib/lib/help:/usr/local/guide/lib/locale/C
NOSUNVIEW=0
DISPLAY=segev.lbl.gov:0
GUIDEHOME=/usr/local/guide
XFILESEARCHPATH=/home/cs/openwin3.0/lib/%T/%N%S:/vol/packages/openwin3.0-contrib/lib/%T/%N%S
GEOHOME=/usr/postgres/ELLEN/GEO
ET_DIR=/usr/postgres/ELLEN/GEO/et2.2
ET_DISPLAY=segev.lbl.gov:ET++
ET_DYN_PATH=.:/usr/postgres/ELLEN/GEO/et2.2/dyn.sparc
ET_SRC_PATH=.:/usr/postgres/ELLEN/GEO/et2.2/src
ET_FONT_SIZE=12
XHOME=/usr/local/openwin
HOSTNAME=segev.lbl.gov
LOCALHOST=segev
EXINIT=set ai sw=4 ts=4 magic wrapmargin=5
POSTGRESHOME=/home/postgres
TERMCAP=d0|vt100|vt100-am|vt100am:do=^J:co#80:li#24:cl=50\E[;H\E[2J:sf=5\ED:le=^H:bs:am:cm=5\E[%i%d;%dH:nd=2\E[C:up=2\E[A:ce=3\E[K:cd=50\E[J:so=2\E[7m:se=2\E[m:us=2\E[4m:ue=2\E[m:md=2\E[1m:mr=2\E[7m:mb=2\E[5m:me=2\E[m:is=\E[1;24r\E[24;1H:rf=/usr/share/lib/tabset/vt100:rs=\E>\E[?3l\E[?4l\E[?5l\E[?7h\E[?8h:ks=\E[?1h\E=:ke=\E[?1l\E>:ku=\EOA:kd=\EOB:kr=\EOC:kl=\EOD:kb=^H:ho=\E[H:k1=\EOP:k2=\EOQ:k3=\EOR:k4=\EOS:pt:sr=5\EM:vt#3:xn:sc=\E7:rc=\E8:cs=\E[%i%d;%dr:
PGDATA=/home/postgres/data

***************************************************************************

Thank you in advance...I really need to get this version up quickly so any
suggestions would be greatly appreciated.

/Ellen